QGIS Application - Bug report #17858

qgis won't start / symbol lookup error: /usr/lib64/libqgis_core.s0.2.18.15: undefined symbol:
OGR_F_SetFieldNull

2018-01-1507:46 PM - Eduardo de juan

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.15 Regression?: No

Operating System: openSUSE_Leap_42.3 Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 25753
Description

Tras actualizar a la version 2.8.15 QGIS no arranca.

Al intentar arrancar desde una shell aparece el error:
qgis: symbol lookup error: /usr/lib64/libggis_core.s0.2.18.15: undefined symbol: OGR_F_SetFieldNull

He instalado usando yast tras incluir el directorio:
http://download.opensuse.org/repositories/Application:/Geo/openSUSE Leap 42.3/

un saludo, Eduardo

History

#1-2018-01-16 11:36 AM - Eduardo de juan

Hi

perhaps it's better if | write in english?

After upgrading to QGIS version 2.8.15 it will not start.
| tried to start from a shell and get the following error:

qgis: symbol lookup error: /usr/lib64/libggis_core.s0.2.18.15: undefined symbol: OGR_F_SetFieldNull

| installed using YAST after including the following repository:

http://download.opensuse.org/repositories/Application:/Geo/openSUSE_Leap 42.3/

greetings

#2 - 2018-01-16 12:05 PM - Jiirgen Fischer

Looks like you're not using the GDAL QGIS was built with - did you also use the GDAL provided there? Looks like a OpenSUSE packaging problem to me
- not sure who maintains the packages there.

#3 - 2018-01-16 08:21 PM - Eduardo de juan

I don't know who maintains packages either.

This is what is installed on my system:
http://download.opensuse.org/repositories/Application:/Geo/openSUSE_Leap_42.3/
http://download.opensuse.org/repositories/Application:/Geo/openSUSE_Leap_42.3/

gloriyedu@linux-palomar:~> sudo rpm -aq | grep gdal
libgdal20-2.1.3-3.5.x86_64
python-gdal-2.1.3-3.5.x86_64
gdal-2.1.3-3.5.x86_64
Do you think | should write a ticket for the Suse people ?
BR, Eduardo
#4 - 2018-01-16 08:32 PM - Jiirgen Fischer
- Status changed from Open to Feedback
Eduardo de juan wrote:
gloriyedu@linux-palomar:~> sudo rom -aq | grep gdal
libgdal20-2.1.3-3.5.x86_64

python-gdal-2.1.3-3.5.x86_64
gdal-2.1.3-3.5.x86_64

Looks like you're using OpenSUSE's stock GDAL instead of the GDAL 2.2.3 from above repository - | guess you should be using that.

#5 - 2018-01-16 09:57 PM - Eduardo de juan

I've installed version 2.2.3

python-gdal-2.2.3-60.1.x86_64

libgdal20-2.2.3-60.1.x86_64

gdal-2.2.3-60.1.x86_64

and now QGIS starts fine.

The issue can be closed.

Thanks for your support.

#6 - 2018-01-16 11:34 PM - Jiirgen Fischer

- Resolution set to up/downstream
- Status changed from Feedback to Closed
https://build.opensuse.org/package/show/openSUSE%3ALeap%3A42.3/gdal
http://download.opensuse.org/repositories/Application:/Geo/openSUSE_Leap_42.3/x86_64/gdal-2.2.3-60.1.x86_64.rpm.mirrorlist

